IT: OTS (China) - 0 0 Bug #36

Display the irregular text (strtoupper("LARGE ")) when exporting to Excel

11/18/2020 07:38 PM - Xihua Fan

Status: oo0 Start date: 11/18/2020
Priority: aa Due date: 11/21/2020
Assignee: Xihua Fan % Done: 100%
Category: Estimated time: 16.00 hours
Target version: v3.0 Spent time: 10.00 hours
Description

Task Details

1. The irregular text (strtoupper("LARGE ")) is displayed in the [Extra Info] excel column.
Input

1. New OTS->NG [attachment:OrderReport (8[).xls]
2. 0ld OTS->0K [attachment:OrderReport (18).xIs]

Output
® Report and Solution

Others

History

#1 - 11/18/2020 07:38 PM - Xihua Fan
- File OrderReport (18).xls added
- File OrderReport (81 ).xIs added

- Copied from 0000 #3: Do system maintenance of our OTS website (order.easydingzhi.com) regularly added

#2 - 11/18/2020 07:38 PM - Xihua Fan

- Copied from deleted (1000 #3: Do system maintenance of our OTS website (order.easydingzhi.com) regularly)

#3 - 11/20/2020 11:36 AM - Xihua Fan
- % Done changed from 10 to 100

Analysis results and solutionl

® Reason:
preg_replace(): The /e modifier is no longer supported, use preg_replace_callback instead.
So we can't use php code(eg. strtoupper) in preg_replace().

¢ New Solution:
Change to a new html2text (https://github.com/mtibben/htmi2text)

YIl Error Log (/order/protected/runtime/application.log)

#4 - 11/20/2020 11:36 AM - Xihua Fan
- Status changed from 000 to0010

#5 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0

Files

OrderReport (18).xls 16 KB 11/18/2020
